> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reassign a ticket to a team



## OpenAPI

````yaml patch /v1/tickets/{id}/reassign-team
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/tickets/{id}/reassign-team:
    patch:
      tags:
        - Tickets
      summary: Reassign a ticket to a team
      operationId: TicketsController_reassignTeamToTicket
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignTeamToTicketBody'
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonTicketResponse'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    AssignTeamToTicketBody:
      type: object
      properties:
        teamId:
          type: string
          description: The ID of the team to assign
      required:
        - teamId
    CommonTicketResponse:
      type: object
      properties:
        status:
          type: boolean
          default: true
          description: The status of the response
        message:
          type: string
          default: Success
          description: The message of the response
        timestamp:
          format: date-time
          type: string
          default: '2024-01-01T00:00:00.000Z'
          description: The timestamp of the response
        data:
          description: The response for create/update/delete ticket operations
          allOf:
            - $ref: '#/components/schemas/TicketResponseDto'
      required:
        - status
        - message
        - timestamp
        - data
    TicketResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the ticket
        title:
          type: string
          description: The title of the ticket
        ticketId:
          type: number
          description: The ticket ID of the ticket
        description:
          type: string
          description: The description of the ticket
        accountId:
          type: string
          description: The account ID of the ticket
        status:
          type: string
          description: The status of the ticket
        priority:
          type: string
          description: The priority of the ticket
        account:
          type: string
          description: The account of the ticket
        teamId:
          type: string
          description: The team ID of the ticket
        teamName:
          type: string
          description: The name of the team of the ticket
        isPrivate:
          type: boolean
          description: Whether the ticket is private
        typeId:
          type: string
          description: The type ID of the ticket
        type:
          type: string
          description: The name of the type of the ticket
        assignedAgent:
          type: string
          description: The assigned agent of the ticket
        assignedAgentId:
          type: string
          description: The assigned agent ID of the ticket
        requestorEmail:
          type: string
          description: The requestor email of the ticket
        submitterEmail:
          type: string
          description: The submitter email of the ticket
        customFieldValues:
          description: The custom field values
          type: array
          items:
            type: string
        deletedAt:
          type: string
          description: The deleted at date of the ticket
        archivedAt:
          type: string
          description: The archived at date of the ticket
        createdAt:
          type: string
          description: The created at date of the ticket
        updatedAt:
          type: string
          description: The updated at date of the ticket
      required:
        - id
        - title
        - ticketId
        - description
        - accountId
        - status
        - priority
        - account
        - teamId
        - teamName
        - isPrivate
        - typeId
        - type
        - assignedAgent
        - assignedAgentId
        - requestorEmail
        - submitterEmail
        - customFieldValues
        - deletedAt
        - archivedAt
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````